Package: ruby-dbi / 0.4.5-3

Metadata

Package Version Patches format
ruby-dbi 0.4.5-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 remove usage of rubygems.patch | (download)

lib/dbi.rb | 6 0 + 6 - 0 !
lib/dbi/columninfo.rb | 6 0 + 6 - 0 !
2 files changed, 12 deletions(-)

 remove usage of rubygems


0002 skip available drivers test.patch | (download)

test/dbi/tc_dbi.rb | 8 0 + 8 - 0 !
1 file changed, 8 deletions(-)

 skip available drivers test

DBI drivers were split out into their own packages specifically so that
one doesn't have to install all of them for DBI to work.

0003 remove executables.patch | (download)

bin/dbi | 518 0 + 518 - 0 !
bin/test_broken_dbi | 37 0 + 37 - 0 !
2 files changed, 555 deletions(-)

 remove executables

* dbi: too primitive to be worth the namespace in /usr/bin
* test_broken_dbi: irrelevant for a Debian package

0004 update to deprecated 3.0.0.patch | (download)

build/Rakefile.dbi.rb | 2 1 + 1 - 0 !
lib/dbi.rb | 27 11 + 16 - 0 !
lib/dbi/columninfo.rb | 4 2 + 2 - 0 !
lib/dbi/utils/date.rb | 3 2 + 1 - 0 !
lib/dbi/utils/time.rb | 3 2 + 1 - 0 !
lib/dbi/utils/timestamp.rb | 4 3 + 1 - 0 !
test/dbi/tc_date.rb | 2 1 + 1 - 0 !
test/dbi/tc_time.rb | 2 1 + 1 - 0 !
test/dbi/tc_timestamp.rb | 2 1 + 1 - 0 !
9 files changed, 24 insertions(+), 25 deletions(-)

 update to deprecated-3.0.0

Update to use "deprecated" version 3.0.0 to get rid of "already
initialized constant Deprecate" warning.

rubygems defines its own Deprecate module in rubygems/deprecate.rb. This
causes a warning when deprecate 2.0.1 is required because it aliases the
Deprecated module to Deprecate. Version 3.0.0 no longer does this
aliasing and gets rid of the warning. Updating to 3.0.0 requires some
changes in how methods are deprecated, and how set_action is called.

Based on https://github.com/jinschoi/ruby-dbi/tree/deprecated-fixes

0005 ruby 1.9 compatibility.patch | (download)

lib/dbi/columninfo.rb | 2 1 + 1 - 0 !
lib/dbi/row.rb | 40 20 + 20 - 0 !
2 files changed, 21 insertions(+), 21 deletions(-)

 ruby-1.9 compatibility

Fixes merged from https://github.com/nearbuy/ruby-dbi:
* Fix clone and dup for ruby 1.9
* Can't add keys to a hash during iteration

add ruby2 support.patch | (download)

lib/dbi/row.rb | 2 1 + 1 - 0 !
test/dbi/tc_row.rb | 2 1 + 1 - 0 !
test/dbi/tc_types.rb | 2 1 + 1 - 0 !
3 files changed, 3 insertions(+), 3 deletions(-)

 add support for ruby2.0

Bug-Debian: http://bugs.debian.org/735727
fix raise lookup error.patch | (download)

lib/dbi/columninfo.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix raise method lookup in ruby 2.1
 Use complete namespace for the raise function call to prevent get caught
 by the 'method_missing' method.

Bug-Debian: http://bugs.debian.org/746081